<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.docus.server.infrastructure.mapper.SchCollectorVersionLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap"
               type="com.docus.server.entity.scheduling.management.SchCollectorVersionLog">
                    <id column="id" property="id"/>
                    <result column="collector_id" property="collectorId"/>
                    <result column="operation_module" property="operationModule"/>
                    <result column="operation_type" property="operationType"/>
                    <result column="operation_desc" property="operationDesc"/>
                    <result column="operation_content" property="operationContent"/>
                    <result column="state" property="state"/>
                    <result column="create_time" property="createTime"/>
                    <result column="update_time" property="updateTime"/>
        </resultMap>

            <!-- 通用查询结果列 -->
            <sql id="Base_Column_List">
                id, collector_id, operation_module, operation_type, operation_desc, operation_content, state, create_time, update_time
            </sql>

</mapper>
